import es

stammlist = None 
stammtype = None
level = None

def steam(userid):
	if es.exists("userid", userid):
		return es.getplayersteamid(userid)

def get_userstats(userid=None, all=True, liste=[]):
	if userid:
		steamid = steam(userid)
	elif not liste:
		return False
	if not liste:
		if stammlist.has_key(steamid):
			if all:
				stats = {"rounds":stammlist[steamid]["rounds"],"kills":stammlist[steamid]["kills"],"time":stammlist[steamid]["time"]}
				return stats
			elif all in ("rounds", "kills", "time"):
				stats = {all:stammlist[steamid][all]}
				return stats
			else:
				return False 
		else:
			return False
	else:
		ret = {}
		for x in liste:
			steamid = steam(x)
			if stammlist.has_key(steamid):
				if all:
					ret[x] = {"rounds":stammlist[steamid]["rounds"],"kills":stammlist[steamid]["kills"],"time":stammlist[steamid]["time"]}
				elif all in ("rounds", "kills", "time"):
					ret[x] = {all:stammlist[steamid][all]}
		if ret:
			return ret
		else:
			return False
		
def set_userstats(userid, number, stammtype=False):
	steamid = steam(userid)
	if stammlist.has_key(steamid):
		if stammtype and stammtype in ("rounds", "kills", "time"):
			es.server.queuecmd("stamm_set %s %s %s" % (userid, number, stammtype))
		elif not stammtype:
			es.server.queuecmd("stamm_set %s %s %s" % (userid, number, stammtype))
		else:
			return False
	else:
		return False
		
def add_userstats(userid, number, stammtype=False):
	steamid = steam(userid)
	if stammlist.has_key(steamid):
		if stammtype and stammtype in ("rounds", "kills", "time"):
			es.server.queuecmd("stamm_add %s %s %s" % (userid, number, stammtype))
		elif not stammtype:
			es.server.queuecmd("stamm_add %s %s %s" % (userid, number, stammtype))
		else:
			return False
	else:
		return False
		
def del_usertats(userid, number, stammtype=False):
	steamid = steam(userid)
	if stammlist.has_key(steamid):
		if stammtype and stammtype in ("rounds", "kills", "time"):
			es.server.queuecmd("stamm_del %s %s %s" % (userid, number, stammtype))
		elif not stammtype:
			es.server.queuecmd("stamm_del %s %s %s" % (userid, number, stammtype))
		else:
			return False
	else:
		return False
		
def getDB():
	if stammlist:
		return stammlist
	else:
		return False
		
def isStammie(userid):
	steamid = steam(userid)
	if stammlist.has_key(steamid):
		if stammlist[steamid]["VIP"] == 1:
			return True
	else:
		return False
		
def isBronze(userid):
	steamid = steam(userid)
	if stammlist.has_key(steamid):
		if stammlist[steamid]["Level"]["id"] > 0:
			return True
	else:
		return False
		
def isSilver(userid):
	steamid = steam(userid)
	if stammlist.has_key(steamid):
		if stammlist[steamid]["Level"]["id"] > 1:
			return True
	else:
		return False
		
def isGold(userid):
	steamid = steam(userid)
	if stammlist.has_key(steamid):
		if stammlist[steamid]["Level"]["id"] > 2:
			return True
	else:
		return False
		
def isPlatinum(userid):
	steamid = steam(userid)
	if stammlist.has_key(steamid):
		if stammlist[steamid]["Level"]["id"] > 3:
			return True
	else:
		return False
		
def getFeatures(userid):
	steamid = steam(userid)
	if stammlist.has_key(steamid):
		return stammlist[steamid]["Level"]["features"]
	else:
		return False
		
def getType():
	return stammtype
	
def isLevel():
	return level